/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Random\RandomKillQuest.cs
Lines of code: 59
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Engines.Quests.RandomKillQuest
{

	public class RandomKillQuest : QuestSystem
	{
		private static Type[] m_TypeReferenceTable = new Type[]
			{
				typeof( DontOfferConversation ),
				typeof( AcceptConversation ),
				typeof( EndConversation )				
			};

		public override Type[] TypeReferenceTable{ get{ return m_TypeReferenceTable; } }

		public override object Name
		{
			get
			{
				return "Pest Control Quest";
			}
		}

		public override object OfferMessage
		{
			get
			{
				return "There is much corruption in these lands!  If you will, I need a favor, it involves killing some nasties, would you like to help?";
			}
		}
		


		public override TimeSpan RestartDelay{ get{ return TimeSpan.Zero; } }
		public override bool IsTutorial{ get{ return false; } }

		public override int Picture{ get{ return 0x15b7; } }

		public RandomKillQuest( PlayerMobile from,Mobile questgiver) : base( from )
		{
		}
		
		

		
		
		// Serialization
		public RandomKillQuest()
		{
		}

		public override void ChildDeserialize( GenericReader reader )
		{
			int version = reader.ReadEncodedInt();
		}

		public override void ChildSerialize( GenericWriter writer )
		{
			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Accept()
		{
			base.Accept();

			AddConversation( new AcceptConversation() );
		}

		public static void GiveRewardTo( PlayerMobile from)
		{
			RandomKillQuest qs = from.Quest as RandomKillQuest;
			
			
			
			
			
			from.SendMessage("You receive a reward");			
			//end quest
			qs.Complete();			
		}
	}	
}